Subject: RE: [Sipping] draft-burger-sipping-netann-03.txt

From: "Eric Burger" <[email-masked]>
Date: Wed, 27 Nov 2002 14:44:32 -0500

The approach below is so similar to H.248 I would suggest you examine H.248 or J.162 (MGCP).  SIP really is not suited for a device-control approach to application implementation.

However, that said, I would suggest you examine draft-rosenberg-sipping-app-interaction-framework-00, draft-vandyke-mscml-00, and draft-burger-sipping-kpml-00 for the proper way to do an IVR interaction using SIP.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Thursday, November 21, 2002 6:29 AM
> To: Eric Burger
> Cc: Sipping (E-mail)
> Subject: [Sipping] draft-burger-sipping-netann-03.txt
> 
> 
> 
> 
> Eric , Dear sipping members
> I'm currently studying a way to collect DTMF digit  in a 
> media server using
> SIP in the same idea of the draft draft-burger-sipping-netann-03.txt.
> Imagine a scenario in which , the user is first played an 
> announcement, and
> then is asked to dial DTMF digit.
> In the media server  it means that :
> 1°) a SIP session with announcement service is opened. The 
> Request  URI in
> the INVITE method is
>                   sip:[email-masked];  play
> ="http://audio.carrier.net/welcome.g711"
> 2°) The Media server is asked by a re INVITE method with a 
> new Request URI
> to collect digit. New request URI is
>       sip:[email-masked]
> and the collected digits are returned in a re INVITE or an 
> INFO message.
> 
> That scenario leads me to one question:
> In a SIP session can a re INVITE  have a request URI 
> different from the
> request URI of the INVITE method that has opened the session?
> different in term of user-part in the SIP URI ? different in 
> term of  URI
> parameters?
> 
> Thanks for your help
> Pascal
> 
> 
> 
_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP